diff --git a/Makefile b/Makefile
index e232a7d..e254ad3 100644
--- a/Makefile
+++ b/Makefile
@@ -151,8 +151,8 @@ libastyle.so:  $(OBJs)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastyle.so.$(MAJORVER) \
 	-o $(bindir)/libastyle.so.$(SOLIBVER) $^
-	@ln  --symbolic --force  libastyle.so.$(SOLIBVER)  libastyle.so.$(MAJORVER)
-	@ln  --symbolic --force  libastyle.so.$(MAJORVER)  libastyle.so
+	@ln  -sf  libastyle.so.$(SOLIBVER)  libastyle.so.$(MAJORVER)
+	@ln  -sf  libastyle.so.$(MAJORVER)  libastyle.so
 	@mv  libastyle.so*  $(bindir)/
 	@ echo
 
@@ -161,8 +161,8 @@ libastyled.so:  $(OBJsd)
 	@ mkdir -p $(bindir)
 	$(CXX) -shared $(LDFLAGSd) -Wl,-soname,libastyled.so.$(MAJORVER) \
 	-o $(bindir)/libastyled.so.$(SOLIBVER) $^
-	@ln  --symbolic --force  libastyled.so.$(SOLIBVER)  libastyled.so.$(MAJORVER)
-	@ln  --symbolic --force  libastyled.so.$(MAJORVER)  libastyled.so
+	@ln  -sf  libastyled.so.$(SOLIBVER)  libastyled.so.$(MAJORVER)
+	@ln  -sf  libastyled.so.$(MAJORVER)  libastyled.so
 	@mv  libastyled.so*  $(bindir)/
 	@ echo
 
@@ -209,23 +209,18 @@ cleanobj:
 	rm -f $(objdir)/*.o
 
 install:
-	$(INSTALL) -m 755 -d $(ipath)
-	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)
-
-	@if [ -d $(SYSCONF_PATH)/html ]; then \
-		rm -rf  $(SYSCONF_PATH)/html; \
-	fi
-
-	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
-	@mkdir -p $(SYSCONF_PATH)/html;
-	@for files in astyle.html \
-                  install.html \
-                  news.html \
-                  notes.html \
-                  styles.css; \
-	do \
-		$(INSTALL)  -m 644  ../../doc/$$files  $(SYSCONF_PATH)/html; \
-	done
+	# binary
+	$(INSTALL) -vDm755 -t $(DESTDIR)$(ipath) $(bindir)/astyle
+
+  # header
+	$(INSTALL) -vDm644 ../../src/astyle.h -t $(DESTDIR)/$(prefix)/include
+
+	# shared libraries
+	$(INSTALL) -m 755 -d $(DESTDIR)/$(prefix)/lib
+	find bin -name "*.so*" -exec cp -vP {} $(DESTDIR)/$(prefix)/lib \;
+
+	# documentation
+	$(INSTALL) -vDm644 ../../doc/* -t $(DESTDIR)/$(SYSCONF_PATH)/html
 
 uninstall:
 	rm -f $(ipath)/astyle


